## ros-kinetic-thormang3-msgs 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(thormang3_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-thormang3-msgs (0.3.0-0xenial) xenial; urgency=high

  * changed package.xml format to v2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 26 Mar 2018 15:00:00 -0000

ros-kinetic-thormang3-msgs (0.2.2-0xenial) xenial; urgency=high

  * added head_control_module_msgs
  * added manipulation module msgs
  * added joint group pose
  * deleted gripper msg & modified manipulation msg
  * modified SetBalanceParam.srv
  * modified walking msgs for new balance control
  * Contributors: Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-thormang3-msgs (0.2.1-0xenial) xenial; urgency=high

  * modified some variable name in StepPositionData.msg
  * modified StepPositionData.msg
  * Contributors: Jay Song

 -- Pyo <pyo@robotis.com>  Thu, 01 Sep 2016 15:00:00 -0000

ros-kinetic-thormang3-msgs (0.2.0-0xenial) xenial; urgency=high

  * modified some variable name in StepPositionData.msg
  * modified StepPositionData.msg
  * modified wholebody msgs
  * modified some typing errors
  * Contributors: Jay Song

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-thormang3-msgs (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * added thormang3_action_module_msgs
  * added thormang3_feet_ft_module_msgs
  * added thormang3_manipulation_module_msgs
  * added thormang3_walking_module_msgs
  * added thormang3_offset_tuner_msgs
  * modified package.xml
  * modified AddStepDataArray.srv for stepdata can be changed in walking
  * Contributors: Jay Song, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 16 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-thormang3-msgs
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/thormang3_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-thormang3-action-module-msgs, ros-kinetic-thormang3-feet-ft-module-msgs, ros-kinetic-thormang3-head-control-module-msgs, ros-kinetic-thormang3-manipulation-module-msgs, ros-kinetic-thormang3-offset-tuner-msgs, ros-kinetic-thormang3-walking-module-msgs
Description: ROS packages for the thormang3_msgs (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-thormang3-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
